//
//  Copyright  2001-2003 by Ai-Logix, Inc.
//  All rights reserved.
//
//  File: NTiDataDCC.h
//      SmartTAP D-Channel API data structure declaration file
//
//  AI-LOGIX, INC. PROPRIETARY.
//


#ifndef _INC_NTIDATADCC_H
#define _INC_NTIDATADCC_H

#define PBX_NORTEL                      0x01
#define PBX_LUCENT                      0x02
#define PBX_NEC                         0x03
#define PBX_ERICSSON                    0x04
#define PBX_SIEMENS                     0x05
#define PBX_ASPECT                      0x06
#define PBX_ALCATEL                     0x07
#define PBX_BOSCH                       0x08
#define PBX_COMDIAL                     0x09
#define PBX_INTECOM                     0x0A
#define PBX_INTERTEL                    0x0B
#define PBX_NITSUKO                     0x0C
#define PBX_TELRAD                      0x0D
#define PBX_IWATSU                      0x0E
#define PBX_PANASONIC                   0x0F
#define PBX_MITEL                       0x10
#define PBX_BRI                         0x11
#define PBX_SAMSUNG                     0x12
#define PBX_PHILIPS                     0x13
#define PBX_FUJITSU                     0x14
#define PBX_ROCKWELL                    0x15
#define PBX_TOSHIBA                     0x16
#define PBX_LG                          0x17
#define PBX_EON                         0x18

#define PBX_NORTEL_MERIDIAN             0x01
#define PBX_NORTEL_NORSTAR              0x02
#define PBX_NORTEL_MATRA                0x03

#define PBX_LUCENT_DEFINITY2W           0x01
#define PBX_LUCENT_DEFINITY4W           0x02
#define PBX_LUCENT_MERLIN_MAGIX         0x03
#define PBX_LUCENT_INDEX                0x04

#define PBX_NEC_ELECTRA_ELITE_192       0x01
#define PBX_NEC_NEAX_1000               0x02
#define PBX_NEC_NEAX_2000               0x03
#define PBX_NEC_NEAX_2400               0x04
#define PBX_NEC_NEAX_PROFESSIONAL       0x05

#define PBX_ERICSSON_MD110              0x01
#define PBX_ERICSSON_MD110_ELU_25       0x01
#define PBX_ERICSSON_MD110_ELU_5        0x02

#define PBX_SIEMENS_HICOM_HIPATH        0x01
#define PBX_SIEMENS_ROLM                0x02

#define PBX_ASPECT_ACD                  0x01

#define PBX_ALCATEL_4200_4400           0x01

#define PBX_BOSCH_INTEGRAL_2W           0x01
#define PBX_BOSCH_INTEGRAL_4W           0x02
#define PBX_BOSCH_INTEGRAL_5            PBX_BOSCH_INTEGRAL_2W
#define PBX_BOSCH_INTEGRAL_3            PBX_BOSCH_INTEGRAL_4W
#define PBX_BOSCH_INTEGRAL_55           0x03
#define PBX_BOSCH_INTEGRAL_33           0x04

#define PBX_COMDIAL_IMPACTSCS           0x01

#define PBX_INTECOM_E2W                 0x01
#define PBX_INTECOM_E4W                 0x02

#define PBX_INTERTEL_AXXESS             0x01

#define PBX_NITSUKO_I                   0x01

#define PBX_TELRAD_IS2W                 0x01

#define PBX_SAMSUNG_DCS_828             0x01
#define PBX_SAMSUNG_INFOREX             0x02

#define PBX_MITEL_SX2000                0x01

#define PBX_BRI_ISDN                    0x01
#define PBXBRI                  ((PBX_BRI << 8) | PBX_BRI_ISDN)

#define PBX_PHILIPS_IS3000_2W           0x01
#define PBX_PHILIPS_IS3000_4W           0x02

#define PBX_FUJITSU_F9600               0x01

#define PBX_ROCKWELL_SPECTRUM           0x01

#define PBX_TOSHIBA_STRATA              0x01
#define PBX_TOSHIBA_STRATA_DK           0x01
#define PBX_TOSHIBA_STRATA_CTX          0x01

#define PBX_LG_STAREX_CS                0x01

#define PBX_PANASONIC_KX_TDA            0x01

#define PBX_EON_EQ                      0x01

#define MAX_DAC_BUFFER                  1024
#define MAX_MSG_BUFFER                  512
#define BIGBUFFERLEN                    2880

#define GREENLIGHT                      8
#define REDLIGHT                        9
#define AMBERLIGHT                      10

#define ALCATEL_RIGHT_SQUARE            8
#define ALCATEL_MUSIC_SYMBOL            9
#define ALCATEL_CENTER_SQUARE           10
#define ALCATEL_HANDSET_SYMBOL          11
#define ALCATEL_LEFT_SQUARE             12
#define ALCATEL_ALERT_SYMBOL            13



#ifdef WIN32
#include<pshpack1.h>
#endif

#ifdef WIN32
#include<poppack.h>
#endif

#endif

// End of NTiDataDCC.h
