//
//  Copyright  1999-2003 by Ai-Logix, Inc.
//  All rights reserved.
//
//  Obsolete.h
//      SmartTAP API declaration file for APIs that have been obsoleted
//      in implementation and maintainance.
//
//  AI-LOGIX, INC. PROPRIETARY.
//


/////////////////////////////////////////////////////////////////////////
// APIs listed have been obsoleted and will be removed in future release.
// Please use the suggested API instead.
/////////////////////////////////////////////////////////////////////////


#ifndef _INC_OBSOLETE_H
#define _INC_OBSOLETE_H

/////////////////////////////////////////////////////////////////////////
// Obsoleted APIs listed in ToBeDeletedInJul06.h will be removed from
// NTI SDK in July, 2006, which is 6 month from now
/////////////////////////////////////////////////////////////////////////
#include "ToBeDeletedInJul06.h"

/////////////////////////////////////////////////////////////////////////
// Obsoleted APIs listed in ToBeDeletedInJan05.h will be removed from
// NTI SDK in January, 2005, which is 6 month from now
/////////////////////////////////////////////////////////////////////////
#include "ToBeDeletedInJan05.h"

/////////////////////////////////////////////////////////////////////////
// Obsoleted APIs listed in ToBeDeletedInJun04.h will be removed from
// NTI SDK in June, 2004, which is 6 month from now
/////////////////////////////////////////////////////////////////////////
#include "ToBeDeletedInJun04.h"

/////////////////////////////////////////////////////////////////////////
// Obsoleted APIs listed in ToBeDeletedInOct03.h will be removed from
// NTI SDK in October, 2003, which is 6 month from now
/////////////////////////////////////////////////////////////////////////
// #include "ToBeDeletedInOct03.h"
/////////////////////////////////////////////////////////////////////////
// Obsoleted APIs listed in ToBeDeletedInOct03.h have been removed as of
// November, 2003
/////////////////////////////////////////////////////////////////////////


#if _WIN32
#include <pshpack1.h>
#endif




_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTJoin(
    const CHANNEL nChannel1,
    const CHANNEL nChannel2
    );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTSplit(
    const CHANNEL nChannel1,
    const CHANNEL nChannel2
    );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTSplitAll(
    VOID
    );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTSetPoint(
    const USHORT x,
    const USHORT y
    );

_DLLIMPEXPORT MT_RESULT CALLING_CONVENTION
MTResetPoint(
    const USHORT x,
    const USHORT y
    );


#if _WIN32
#include <poppack.h>
#endif


#endif

// End of Obsolete.h
