# ---------------------------------------------------------------------------
!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

# ---------------------------------------------------------------------------
# IDE SECTION
# ---------------------------------------------------------------------------
# The following section of the project makefile is managed by the BCB IDE.
# It is recommended to use the IDE to change any of the values in this
# section.
# ---------------------------------------------------------------------------

VERSION = BCB.06.00
# ---------------------------------------------------------------------------
PROJECT = ..\final\TFEngine.dll
OBJFILES = ..\objs\TFEngine.obj ..\objs\brd_load.obj ..\objs\eng_main.obj \
    ..\objs\gui_log.obj ..\objs\initglobals.obj ..\objs\iv_dbf2.obj \
    ..\objs\iv_math2.obj ..\objs\LoadLanguage.obj ..\objs\step.obj \
    ..\objs\step_appcall.obj ..\objs\step_appexec.obj ..\objs\step_appgoto.obj \
    ..\objs\step_audiocopy.obj ..\objs\step_audiodelete.obj \
    ..\objs\step_audioplay.obj ..\objs\step_audiorecord.obj \
    ..\objs\step_audiospeak.obj ..\objs\step_audiostartrecord.obj \
    ..\objs\step_audiostoprecord.obj ..\objs\step_beep.obj \
    ..\objs\step_blockcalls.obj ..\objs\step_calltrigger.obj \
    ..\objs\step_Case.obj ..\objs\step_confclose.obj ..\objs\step_confjoin.obj \
    ..\objs\step_confleave.obj ..\objs\step_confopen.obj \
    ..\objs\step_createdir.obj ..\objs\step_decrypt.obj \
    ..\objs\step_dictate.obj ..\objs\step_digitpending.obj \
    ..\objs\step_dllfunction.obj ..\objs\step_encrypt.obj \
    ..\objs\step_fatal.obj ..\objs\step_faxadd.obj ..\objs\step_faxclear.obj \
    ..\objs\step_faxreceive.obj ..\objs\step_faxsend.obj \
    ..\objs\step_fileopen.obj ..\objs\step_filewrite.obj \
    ..\objs\step_fincalc.obj ..\objs\step_flashhook.obj \
    ..\objs\step_flushdigits.obj ..\objs\step_generatetones.obj \
    ..\objs\step_getdigit.obj ..\objs\step_getdigits.obj \
    ..\objs\step_getletter.obj ..\objs\step_hangup.obj ..\objs\step_hash.obj \
    ..\objs\step_HTTP.obj ..\objs\step_message.obj ..\objs\step_noop.obj \
    ..\objs\step_parse.obj ..\objs\step_permitstreaming.obj \
    ..\objs\step_pickup.obj ..\objs\step_placecall.obj \
    ..\objs\step_procend.obj ..\objs\step_procstart.obj \
    ..\objs\step_RegistryRead.obj ..\objs\step_reloadoff.obj \
    ..\objs\step_reloadon.obj ..\objs\step_ReorderToneDetectionOff.obj \
    ..\objs\step_ReorderToneDetectionOn.obj ..\objs\step_RunBASICScript.obj \
    ..\objs\step_runtap.obj ..\objs\step_savelog.obj ..\objs\step_scandir.obj \
    ..\objs\step_sendemail.obj ..\objs\step_SetBoardParameter.obj \
    ..\objs\step_setglobal.obj ..\objs\step_SetLanguage.obj \
    ..\objs\step_SetReorderTone.obj ..\objs\step_simpullparms.obj \
    ..\objs\step_SetVoIPMedia.obj ..\objs\step_simpullrequest.obj \
    ..\objs\step_SIPRegister.obj ..\objs\step_sqlbeginstmt.obj \
    ..\objs\step_sqlbegintrans.obj ..\objs\step_sqlconnect.obj \
    ..\objs\step_sqldisconnect.obj ..\objs\step_sqlendstmt.obj \
    ..\objs\step_sqlendtrans.obj ..\objs\step_sqlfetch.obj \
    ..\objs\step_sqllock.obj ..\objs\step_SRBargeInOff.obj \
    ..\objs\step_SRBargeInOn.obj ..\objs\step_SRClearAudio.obj \
    ..\objs\step_SRFlagResult.obj ..\objs\step_switch.obj \
    ..\objs\step_switchdiscon.obj ..\objs\step_TCPIPConnect.obj \
    ..\objs\step_TCPIPDisconnect.obj ..\objs\step_TCPIPReceive.obj \
    ..\objs\step_TCPIPSend.obj ..\objs\step_textspeech.obj \
    ..\objs\step_tones.obj ..\objs\step_transfercall.obj \
    ..\objs\step_UDPIPBind.obj ..\objs\step_UDPIPClose.obj \
    ..\objs\step_UDPIPReceive.obj ..\objs\step_UDPIPSend.obj \
    ..\objs\step_unblockcalls.obj ..\objs\step_varcompare.obj \
    ..\objs\step_vardateinfo.obj ..\objs\step_varmath.obj \
    ..\objs\step_varrandom.obj ..\objs\step_varset.obj \
    ..\objs\step_varsetprivate.obj ..\objs\step_vocpassauth.obj \
    ..\objs\step_vocpassreg.obj ..\objs\step_vocrecgetdigits.obj \
    ..\objs\step_vocrecgetstring.obj ..\objs\step_vocrecgetyn.obj \
    ..\objs\step_vocrecinit.obj ..\objs\step_vocrecrelease.obj \
    ..\objs\step_volume.obj ..\objs\step_voxvarset.obj ..\objs\step_wait.obj \
    ..\objs\step_waitforcall.obj ..\objs\step_xmlend.obj \
    ..\objs\step_xmlfetch.obj ..\objs\step_xmlload.obj \
    ..\objs\step_xmlwrite.obj ..\objs\StringSupport.obj ..\objs\tam.obj \
    ..\objs\tap.obj ..\objs\TFSimulator_communication.obj \
    ..\objs\TCPClientManager.obj ..\objs\TFTCPClient_communication.obj \
    ..\objs\txtfile.obj ..\objs\vce_list.obj ..\objs\version.obj \
    ..\objs\VoiceCreator.obj ..\objs\wait.obj
RESFILES = 
MAINSOURCE = TFEngine.cpp
RESDEPEN = $(RESFILES)
LIBFILES = ..\3rdparty\ACE_wrappers\ace_b.lib ..\3rdparty\ACE_wrappers\ACE_SSL_b.lib \
    ..\final\escutl.lib ..\final\inet.lib ..\final\xmlutil.lib
IDLFILES = 
IDLGENFILES = 
LIBRARIES = vcl.lib rtl.lib
PACKAGES = rtl.bpi vcl.bpi ibsmp.bpi dbrtl.bpi vcldb.bpi bdertl.bpi vclx.bpi \
    bcbsmp.bpi vcldbx.bpi dclocx.bpi qrpt.bpi teeui.bpi teedb.bpi tee.bpi \
    nmfast.bpi
SPARELIBS = rtl.lib vcl.lib
DEFFILE = 
OTHERFILES = 
# ---------------------------------------------------------------------------
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
USERDEFINES = WIN32;TF_OPEN_SOURCE
SYSDEFINES = _NO_VCL;_RTLDLL;_VIS_NOLIB
INCLUDEPATH = ..\3rdparty\ACE_wrappers;..;"C:\Program Files\Borland\CBuilder6\Projects";..\TFSimulator;..\Languages;"C:\Program Files\Borland\CBuilder5\Projects";..\TFServer;..\BoardDLLs;$(BCB)\include;$(BCB)\include\vcl
LIBPATH = ..;"C:\Program Files\Borland\CBuilder6\Projects";..\TFSimulator;..\Languages;..\TFServer;..\BoardDLLs;"C:\Program Files\Borland\CBuilder5\Projects";$(BCB)\lib
WARNINGS= 
PATHCPP = .;..\TFServer;..\TFSimulator
PATHASM = .;
PATHPAS = .;
PATHRC = .;
PATHOBJ = .;$(LIBPATH)
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -w -Tkh30000 -X- -a8 -b -k- -vi -c -tWM -tWD
IDLCFLAGS = -I..\3rdparty\ACE_wrappers -I.. \
    -I"C:\Program Files\Borland\CBuilder6\Projects" -I..\TFSimulator \
    -I..\Languages -I"C:\Program Files\Borland\CBuilder5\Projects" \
    -I..\TFServer -I..\BoardDLLs -I$(BCB)\include -I$(BCB)\include\vcl \
    -src_suffix cpp -DWIN32 -DTF_OPEN_SOURCE -boa
PFLAGS = -N2..\objs -N0..\objs -$Y- -$L- -$D- -$A8 -v -JPHN -M
RFLAGS = 
AFLAGS = /mx /w2 /zn
LFLAGS = -I..\objs -D"" -H:0x1000000 -aa -Tpd -GD -s -Gn -Gi
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) import32.lib cw32mti.lib
# ---------------------------------------------------------------------------
!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0

[Version Info Keys]
CompanyName=
FileDescription=
FileVersion=1.0.0.0
InternalName=
LegalCopyright=
LegalTrademarks=
OriginalFilename=
ProductName=
ProductVersion=1.0.0.0
Comments=

[Debugging]
DebugSourceDirs=$(BCB)\source\vcl

!endif





# ---------------------------------------------------------------------------
# MAKE SECTION
# ---------------------------------------------------------------------------
# This section of the project file is not used by the BCB IDE.  It is for
# the benefit of building from the command-line using the MAKE utility.
# ---------------------------------------------------------------------------

.autodepend
# ---------------------------------------------------------------------------
!if "$(USERDEFINES)" != ""
AUSERDEFINES = -d$(USERDEFINES:;= -d)
!else
AUSERDEFINES =
!endif

!if !$d(BCC32)
BCC32 = bcc32
!endif

!if !$d(CPP32)
CPP32 = cpp32
!endif

!if !$d(DCC32)
DCC32 = dcc32
!endif

!if !$d(TASM32)
TASM32 = tasm32
!endif

!if !$d(LINKER)
LINKER = ilink32
!endif

!if !$d(BRCC32)
BRCC32 = brcc32
!endif


# ---------------------------------------------------------------------------
!if $d(PATHCPP)
.PATH.CPP = $(PATHCPP)
.PATH.C   = $(PATHCPP)
!endif

!if $d(PATHPAS)
.PATH.PAS = $(PATHPAS)
!endif

!if $d(PATHASM)
.PATH.ASM = $(PATHASM)
!endif

!if $d(PATHRC)
.PATH.RC  = $(PATHRC)
!endif

!if $d(PATHOBJ)
.PATH.OBJ  = $(PATHOBJ)
!endif
# ---------------------------------------------------------------------------
$(PROJECT): $(OTHERFILES) $(IDLGENFILES) $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) -L$(LIBPATH) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!
# ---------------------------------------------------------------------------
.pas.hpp:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.pas.obj:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.cpp.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.cpp.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.asm.obj:
    $(BCB)\BIN\$(TASM32) $(AFLAGS) -i$(INCLUDEPATH:;= -i) $(AUSERDEFINES) -d$(SYSDEFINES:;= -d) $<, $@

.rc.res:
    $(BCB)\BIN\$(BRCC32) $(RFLAGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -fo$@ $<



# ---------------------------------------------------------------------------




