#ifndef STEP_SETGLOBAL_H
#define STEP_SETGLOBAL_H

#include "step.h"

class StepSetGlobal : public Step
{
   public:

      enum GLOBAL_TYPE
      {
         GLOBAL_HANGUP,
         GLOBAL_FATAL
      };

      StepSetGlobal(STEPREC& stepRecord);
      virtual ~StepSetGlobal(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      GLOBAL_TYPE iType;
      string label;
};

#endif
