#ifndef TFTCPCLIENT_COMMUNICATION_MANAGER_H
#define TFTCPCLIENT_COMMUNICATION_MANAGER_H

#include "TFTCPClient_communication.h"
#include "TFServer_communication.h"

// Manages messages to ServerMonClients
// Note that messages must be TFTCPClientCommunicationPackets
// Messages for ServerMonClients must use TF_TCPCLIENT_MANAGER as their destination
// Messages with a threadID of 0 indicate a message for ServerMonitorMain
class TFTCPClientCommunicationManager : public CommunicationDestination<TFServerCommunicationPacket::TF_DESTINATION_ID>, public CommunicationHub<TCPSocket*>
{
   public:

      TFTCPClientCommunicationManager(void);

      TFServerCommunicationPacket::TF_DESTINATION_ID ID(void);
      bool SendMessage(CommunicationPacket* message);
};

#endif