/* -------------------------------------------------------------------------
   File:        CON_LOG.CPP

   Copyright (c) 1997 Engage! Software Corporation.  All rights reserved.
   ------------------------------------------------------------------------- */
#include <stdio.h>
#include "con_log.h"

/* -------------------------------------------------------------------------
   Name:        ConsoleLog::ConsoleLog                         (Constructor)
   ------------------------------------------------------------------------- */
ConsoleLog::ConsoleLog() : Log()
{
}
/*ConsoleLog::ConsoleLog*/

/* -------------------------------------------------------------------------
   Name:        ConsoleLog::PrintLine
   ------------------------------------------------------------------------- */
void ConsoleLog::PrintLine (
      const char *pszPrefix,
      const char *pszLine,
      bool        bEOL)
{
   if (pszPrefix && *pszPrefix) {
      fputs (pszPrefix, stdout);
      fputs (": ", stdout);
   }

   if (pszLine && *pszLine)
      fputs (pszLine, stdout);

   if (bEOL)
      fputc ('\n', stdout);
}
/*ConsoleLog::PrintLine*/
