#ifndef FRENCH_CODE_H
#define FRENCH_CODE_H

#include "LanguageModule.h"

class French : public LanguageModule
{
	public:

	   French(void);
   	~French(void);

   protected:

      WordList DateWordList(string date, LanguageModule::SAY_FORMAT format);
      WordList MoneyWordList(string money);
      WordList NumberGroupWordList(string numberGroup, bool ordinal);
      WordList NumberGroupWordList(int index, bool plural);
      WordList RealNumberWordList(string number);
      WordList TimeWordList(string time, LanguageModule::SAY_FORMAT format);

   protected:

      void InitialiseWordTable(void);
};

#endif