#include "debugopt.h"

/* -------------------------------------------------------------------------
   Name:        SetupDebugOptions
   ------------------------------------------------------------------------- */
void SetupDebugOptions (Log *ivLog)
{
// if (ivLog->GetDebug ('U') && ! ivLog->GetDebug ('L')) {
//    OpenLog (&(pIVRInfo->outFile), pIVRInfo->outFileName);
// }
   if (ivLog->GetDebug ('L')) {
//    OpenLog (&(pIVRInfo->outFile), pIVRInfo->outFileName);
      ivLog->SetDebug ('S');         // Display ME/2 event messages.
      ivLog->SetDebug ('f');         // Display IVR functions.
      ivLog->SetDebug ('E');         // Display ME/2 error messages.
      ivLog->SetDebug ('U');         //
   }
   if (ivLog->GetDebug ('l')) {
      ivLog->SetDebug ('E');         // Display ME/2 error messages.
      ivLog->SetDebug ('S');         // Display ME/2 event messages.
      ivLog->SetDebug ('f');         // Display function names when executed.
   }
   if (ivLog->GetDebug ('A')) {      // Quick display "All" options.
      ivLog->SetDebug ('v');         // Variables when they are set.
      ivLog->SetDebug ('f');         // Display function names when executed.
      ivLog->SetDebug ('E');         // Display ME/2 error messages.
      ivLog->SetDebug ('S');         // Display ME/2 event messages.
      ivLog->SetDebug ('r');         // Display return codes (status).
      ivLog->SetDebug ('d');         // Database values.
      ivLog->SetDebug ('D');         // Database messages.
      ivLog->SetDebug ('Q');         // Display Q+E messages.
      ivLog->SetDebug ('p');         // Display procedure names.
      ivLog->SetDebug ('U');         //
      ivLog->SetDebug ('s');         // Display SQL statements.
   }
}
/*SetupDebugOptions*/
