#include "..\BoardDLLs\brd_generic.h"
#include "step_ReorderToneDetectionOn.h"

ReorderToneDetectionOn::ReorderToneDetectionOn(STEPREC& stepRecord) : Step(stepRecord)
{
}

const char* ReorderToneDetectionOn::GetStepName(void) const
{
	return("Reorder Tone Detection On");
}

IV_STATUS ReorderToneDetectionOn::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   return(pInfo->ivBoard->EnableReorderToneDetection());
}
 