#include "..\BoardDLLs\brd_generic.h"
#include "..\Voice\Voice.h"
#include "step_SRBargeInOff.h"

StepSRBargeInOff::StepSRBargeInOff(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepSRBargeInOff::~StepSRBargeInOff(void)
{
}

const char* StepSRBargeInOff::GetStepName(void) const
{
	return("SR Barge-In Off");
}

IV_STATUS StepSRBargeInOff::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   return(pInfo->ivBoard->PermitBargeIn(false));
}
