#ifndef STEP_TCPIPSEND_H
#define STEP_TCPIPSEND_H

#include <string>
using std::string;

#include "step.h"

class StepTCPIPSend : public Step
{
   public:

      StepTCPIPSend(STEPREC& stepRecord);
      virtual ~StepTCPIPSend(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string socketHandle;
      string message;
      bool hexString;
};

#endif