#ifndef STEP_XMLLOAD_H
#define STEP_XMLLOAD_H

#include "step.h"

class StepXMLLoad : public Step
{
   public:

      StepXMLLoad(STEPREC& stepRecord);
      virtual ~StepXMLLoad(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string handle;       // S01: TeleFlow handle number (1-9)
      string source;       // S02: Source to load XML from
      int iSrcType;        // U01: Source type (0 = variable, 1 = file)
};

#endif
