//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

// Treat enums as int
#pragma option -b

USERES("TFMonitor.res");
USEFORM("mon_main.cpp", FormMon);
USEUNIT("monevent.cpp");
USEFORM("dlg_host.cpp", FormConnect);
USEFORM("mon_about.cpp", AboutBox);
USEFORM("form_msgs.cpp", FormMsgs);
USEFORM("dlg_reconnect.cpp", FormReconnect);
USEFORM("dlg_options.cpp", FormOptions);
USELIB("..\final\inet.lib");
USELIB("..\final\escutl.lib");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->Title = "TeleFlow Monitor";
        Application->CreateForm(__classid(TFormMon), &FormMon);
       Application->CreateForm(__classid(TFormConnect), &FormConnect);
       Application->CreateForm(__classid(TAboutBox), &AboutBox);
       Application->CreateForm(__classid(TFormReconnect), &FormReconnect);
       Application->CreateForm(__classid(TFormOptions), &FormOptions);
       Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------

