# ---------------------------------------------------------------------------
!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

# ---------------------------------------------------------------------------
# IDE SECTION
# ---------------------------------------------------------------------------
# The following section of the project makefile is managed by the BCB IDE.
# It is recommended to use the IDE to change any of the values in this
# section.
# ---------------------------------------------------------------------------

VERSION = BCB.06.00
# ---------------------------------------------------------------------------
PROJECT = ..\final\TFServer.exe
OBJFILES = ..\objs\TFServer.obj ..\objs\debugopt.obj ..\objs\file_log.obj \
    ..\objs\gui_log.obj ..\objs\inet_msg.obj ..\objs\license_read.obj \
    ..\objs\LoadLicense.obj ..\objs\log.obj ..\objs\nt_service.obj \
    ..\objs\srvr_eng.obj ..\objs\TCPClientManager.obj \
    ..\objs\TFApplication.obj ..\objs\TFApplicationsManager.obj \
    ..\objs\TFEngine_communication.obj \
    ..\objs\TFEngine_communication_manager.obj \
    ..\objs\TFServer_communication.obj ..\objs\TFServerRegistrationInfo.obj \
    ..\objs\TFTCPClient_communication.obj \
    ..\objs\TFTCPClient_communication_manager.obj ..\objs\vce_list.obj
RESFILES = TFServer.res
MAINSOURCE = TFServer.cpp
RESDEPEN = $(RESFILES)
LIBFILES = ..\3rdparty\ACE_wrappers\ace_b.lib ..\3rdparty\ACE_wrappers\ACE_SSL_b.lib \
    ..\final\escutl.lib ..\final\inet.lib ..\final\TFEngine.lib \
    ..\final\xmlutil.lib
IDLFILES = 
IDLGENFILES = 
LIBRARIES = vcl.lib rtl.lib
PACKAGES = rtl.bpi vcl.bpi ibsmp.bpi dbrtl.bpi vcldb.bpi bdertl.bpi vclx.bpi \
    bcbsmp.bpi vcldbx.bpi dclocx.bpi qrpt.bpi teeui.bpi teedb.bpi tee.bpi \
    nmfast.bpi
SPARELIBS = rtl.lib vcl.lib
DEFFILE = 
OTHERFILES = 
# ---------------------------------------------------------------------------
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
USERDEFINES = WIN32;TF_OPEN_SOURCE
SYSDEFINES = _NO_VCL;_RTLDLL;_VIS_NOLIB
INCLUDEPATH = ..;..\3rdparty\ACE_wrappers;..\TFLicensing;..\inet;..\TFEngine;$(BCB)\include;$(BCB)\include\VCL
LIBPATH = ..;..\TFLicensing;..\TFEngine;..\inet;$(BCB)\lib
WARNINGS= 
PATHCPP = .;..\TFEngine;..\inet;..\TFLicensing
PATHASM = .;
PATHPAS = .;
PATHRC = .;
PATHOBJ = .;$(LIBPATH)
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -w -Tkh30000 -X- -a8 -b -k- -vi -c -tWM -tWC
IDLCFLAGS = -I.. -I..\3rdparty\ACE_wrappers -I..\TFLicensing -I..\inet -I..\TFEngine \
    -I$(BCB)\include -I$(BCB)\include\VCL -src_suffix cpp -DWIN32 \
    -DTF_OPEN_SOURCE -boa
PFLAGS = -N2..\objs -N0..\objs -$Y- -$L- -$D- -$A8 -v -JPHN -M
RFLAGS = 
AFLAGS = /mx /w2 /zn
LFLAGS = -I..\objs -D"" -H:0x1000000 -ap -Tpe -GD -s -Gn
# ---------------------------------------------------------------------------
ALLOBJ = c0x32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) import32.lib cw32mti.lib
# ---------------------------------------------------------------------------
!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0

[Version Info Keys]
CompanyName=
FileDescription=
FileVersion=1.0.0.0
InternalName=
LegalCopyright=
LegalTrademarks=
OriginalFilename=
ProductName=
ProductVersion=1.0.0.0
Comments=

[Debugging]
DebugSourceDirs=$(BCB)\source\vcl

!endif





# ---------------------------------------------------------------------------
# MAKE SECTION
# ---------------------------------------------------------------------------
# This section of the project file is not used by the BCB IDE.  It is for
# the benefit of building from the command-line using the MAKE utility.
# ---------------------------------------------------------------------------

.autodepend
# ---------------------------------------------------------------------------
!if "$(USERDEFINES)" != ""
AUSERDEFINES = -d$(USERDEFINES:;= -d)
!else
AUSERDEFINES =
!endif

!if !$d(BCC32)
BCC32 = bcc32
!endif

!if !$d(CPP32)
CPP32 = cpp32
!endif

!if !$d(DCC32)
DCC32 = dcc32
!endif

!if !$d(TASM32)
TASM32 = tasm32
!endif

!if !$d(LINKER)
LINKER = ilink32
!endif

!if !$d(BRCC32)
BRCC32 = brcc32
!endif


# ---------------------------------------------------------------------------
!if $d(PATHCPP)
.PATH.CPP = $(PATHCPP)
.PATH.C   = $(PATHCPP)
!endif

!if $d(PATHPAS)
.PATH.PAS = $(PATHPAS)
!endif

!if $d(PATHASM)
.PATH.ASM = $(PATHASM)
!endif

!if $d(PATHRC)
.PATH.RC  = $(PATHRC)
!endif

!if $d(PATHOBJ)
.PATH.OBJ  = $(PATHOBJ)
!endif
# ---------------------------------------------------------------------------
$(PROJECT): $(OTHERFILES) $(IDLGENFILES) $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) -L$(LIBPATH) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!
# ---------------------------------------------------------------------------
.pas.hpp:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.pas.obj:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.cpp.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.cpp.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.asm.obj:
    $(BCB)\BIN\$(TASM32) $(AFLAGS) -i$(INCLUDEPATH:;= -i) $(AUSERDEFINES) -d$(SYSDEFINES:;= -d) $<, $@

.rc.res:
    $(BCB)\BIN\$(BRCC32) $(RFLAGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -fo$@ $<



# ---------------------------------------------------------------------------




