//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: TFSERVER_STARTED
//
// MessageText:
//
//  Teleflow server has started.
//
#define TFSERVER_STARTED                 0x00000001L

//
// MessageId: TFSERVER_STOPPING
//
// MessageText:
//
//  Teleflow server service has received a STOP command.
//
#define TFSERVER_STOPPING                0x00000002L

//
// MessageId: TFSERVER_ALREADY_RUNNING
//
// MessageText:
//
//  Cannot start service as another instance of Teleflow server is already running.
//
#define TFSERVER_ALREADY_RUNNING         0x00000003L

//
// MessageId: TFSERVER_MSG_PASSTHRU
//
// MessageText:
//
//  %1
//
#define TFSERVER_MSG_PASSTHRU            0x000003E7L

