#include "SMTPTransaction.h"

SMTPTransaction::SMTPTransaction(bool persistant) : InternetMessageTCPTransaction(persistant)
{
   request = new SMTPRequest;
   response = new SMTPResponse;
}

SMTPTransaction::SMTPTransaction(ACE_HANDLE handle) : InternetMessageTCPTransaction(handle)
{
}

SMTPTransaction::~SMTPTransaction(void)
{
   delete request;
   delete response;
}

SMTPRequest* SMTPTransaction::Request(void)
{
   return((SMTPRequest*) request);
}

SMTPResponse* SMTPTransaction::Response(void)
{
   return((SMTPResponse*) response);
}

