#ifndef __SMTPTRANSACTION_H__
#define __SMTPTRANSACTION_H__

#ifdef __DLL__
#define SMTPTRANSACTIONAPI __declspec(dllexport)
#else
#define SMTPTRANSACTIONAPI __declspec(dllimport)
#endif

#include <string>
using std::string;

#include "InternetMessageTCPTransaction.h"
#include "SMTPRequest.h"
#include "SMTPResponse.h"

class SMTPTRANSACTIONAPI SMTPTransaction : public InternetMessageTCPTransaction
{
   public:

      SMTPTransaction(bool persistant = false);
      SMTPTransaction(ACE_HANDLE handle);
      virtual ~SMTPTransaction(void);

      virtual SMTPRequest* Request(void);
      virtual SMTPResponse* Response(void);
};

#endif

